Skip to main content
POST
/
workspaces
Create Workspace
curl --request POST \
  --url https://api.example.com/workspaces/ \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "workspace_type": "default",
  "timezone": "America/Los_Angeles",
  "is_active": true,
  "contact_email": "<string>",
  "contact_name": "<string>",
  "default_from_email": "<string>",
  "default_from_name": "<string>",
  "default_reply_to": "<string>",
  "daily_send_limit": 123
}
'
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>",
      "input": "<unknown>",
      "ctx": {}
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.montereyfinancial.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
name
string
required
workspace_type
string
default:default
timezone
string
default:America/Los_Angeles
is_active
boolean
default:true
contact_email
string | null
contact_name
string | null
default_from_email
string | null
default_from_name
string | null
default_reply_to
string | null
daily_send_limit
integer | null

Response

Successful Response